<div class="row align-items-center p-0 border border-top-0 border-primary bg-white">
  <div class="col-12 col-lg-10 p-2">
    <div class="row m-2">
      <ng-container *ngFor="let data of itemDesc.toDisplay">
        <div *ngIf="data.display" [ngClass]="data.display" class="px-1 py-2 text-center">
          {{data.pipe?data.pipe(record[data.property]):record[data.property]}}
          <ng-container *ngIf="data.addUnit">{{itemDesc[data.addUnit]}}</ng-container>
        </div>
      </ng-container>
      <div *ngIf="record.comment" class="col-12 px-1 pt-2 border-top text-center order-last">Commentaire :
        {{record.comment}}</div>
    </div>
  </div>
  <div class="col-lg-2 p-2">
    <div class="row align-items-center justify-content-evenly g-2">
      <div class="col-auto">
        <button class="btn btn-outline-secondary" [autoClose]="true" [ngbPopover]="detail">
          <i class="bi bi-search"></i>
        </button>
      </div>
      <div class="col-auto">
        <button class="btn btn-outline-primary" (click)="edit()">
          <i class="bi bi-pencil"></i>
        </button>
      </div>
      <div *ngIf="authState.user?.role=='ROLE_ADMIN'" class="col-auto">
        <button class="btn btn-outline-danger" (click)="delete()">
          <i class="bi bi-x-lg"></i>
        </button>
      </div>
    </div>
  </div>
</div>

<ng-template #detail>
  <table class="table">
    <tbody>
      <tr *ngFor="let data of itemDesc.toDisplay">
        <td scope="row" class="fst-italic">{{data.label}}</td>
        <td class="fw-bold">{{data.pipe?data.pipe(record[data.property]):record[data.property]}}
          <ng-container *ngIf="data.addUnit">{{itemDesc[data.addUnit]}}</ng-container>
        </td>
      </tr>
    </tbody>
  </table>
</ng-template>